scorers
Create scorers alignment runs
Requires scopes: runs:write
POST
/
api
/
scorers
/
{scorerId}
/
alignment-runs
Create scorers alignment runs
curl --request POST \
--url https://evalgate.com/api/scorers/{scorerId}/alignment-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"versionId": 123,
"idempotencyKey": "<string>",
"exampleIds": [
"<string>"
],
"examples": [
{
"input": {
"input": "<string>",
"output": "<string>",
"expectedOutput": "<string>",
"context": {},
"latencyMs": 123,
"costUsd": 123
},
"name": "<string>",
"expectedHumanLabel": 123,
"notes": "<string>"
}
]
}
'import requests
url = "https://evalgate.com/api/scorers/{scorerId}/alignment-runs"
payload = {
"versionId": 123,
"idempotencyKey": "<string>",
"exampleIds": ["<string>"],
"examples": [
{
"input": {
"input": "<string>",
"output": "<string>",
"expectedOutput": "<string>",
"context": {},
"latencyMs": 123,
"costUsd": 123
},
"name": "<string>",
"expectedHumanLabel": 123,
"notes": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
versionId: 123,
idempotencyKey: '<string>',
exampleIds: ['<string>'],
examples: [
{
input: {
input: '<string>',
output: '<string>',
expectedOutput: '<string>',
context: {},
latencyMs: 123,
costUsd: 123
},
name: '<string>',
expectedHumanLabel: 123,
notes: '<string>'
}
]
})
};
fetch('https://evalgate.com/api/scorers/{scorerId}/alignment-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idempotent": true,
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"status": "<string>",
"exampleSnapshot": [
{
"name": "<string>",
"input": {
"input": "<string>",
"output": "<string>",
"expectedOutput": "<string>",
"context": {},
"latencyMs": 123,
"costUsd": 123
},
"expectedHumanLabel": 123,
"id": "<string>",
"notes": "<string>"
}
],
"results": [
{
"result": {
"score": 123,
"passed": true,
"reasoning": "<string>",
"evidence": {}
},
"status": "failed",
"latencyMs": 123,
"disagreement": true,
"name": "<string>",
"input": {
"input": "<string>",
"output": "<string>",
"expectedOutput": "<string>",
"context": {},
"latencyMs": 123,
"costUsd": 123
},
"expectedHumanLabel": 123,
"errorCode": "<string>",
"errorMessage": "<string>",
"modelCallId": "<string>",
"costUsd": "<string>",
"id": "<string>",
"notes": "<string>"
}
],
"metrics": {
"total": 123,
"successful": 123,
"agreementRate": 123,
"correlation": 123,
"falsePositives": 123,
"falseNegatives": 123,
"truePositives": 123,
"trueNegatives": 123,
"parseFailureRate": 123,
"averageLatencyMs": 123,
"totalCostUsd": "<string>",
"unknownCostCount": 123,
"unstableExamples": [
"<string>"
]
},
"modelCallIds": [
"<string>"
],
"requestHash": "<string>",
"idempotencyKey": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create scorers alignment runs
